org.apache.maven.lifecycle

## Class DefaultLifecycleExecutor

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.lifecycle.DefaultLifecycleExecutor

All Implemented Interfaces:
  LifecycleExecutor

    public class DefaultLifecycleExecutor
    extends AbstractLogEnabled
    implements LifecycleExecutor

Version:
  $Id: DefaultLifecycleExecutor.java 799759 2009-07-31 22:19:49Z jdcasey $
Author:
  Jason van Zyl, Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.lifecycle.LifecycleExecutor

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLifecycleExecutor()`

### Method Summary

Methods
`void` `contextualize(Context context)`
`void` `execute(MavenSession session, ReactorManager rm, EventDispatcher dispatcher)` Execute a task.
`java.util.List` `getLifecycles()`
`java.util.Map` `getPhaseToLifecycleMap()`
`void` `initialize()`
`protected void` `line()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLifecycleExecutor

    public DefaultLifecycleExecutor()

### Method Detail

#### execute

    public void execute(MavenSession session,
               ReactorManager rm,
               EventDispatcher dispatcher)
                 throws BuildFailureException,
                        LifecycleExecutionException

Execute a task. Each task may be a phase in the lifecycle or the execution of a mojo.

Specified by:
  `execute` in interface `LifecycleExecutor`
Parameters:
  `session` -
  `rm` -
  `dispatcher` -
Throws:
  `BuildFailureException`
  `LifecycleExecutionException`

#### line

    protected void line()

#### getPhaseToLifecycleMap

    public java.util.Map getPhaseToLifecycleMap()
                                         throws LifecycleExecutionException

Throws:
  `LifecycleExecutionException`

#### getLifecycles

    public java.util.List getLifecycles()

Specified by:
  `getLifecycles` in interface `LifecycleExecutor`

#### initialize

    public void initialize()
                    throws InitializationException

Throws:
  `InitializationException`

#### contextualize

    public void contextualize(Context context)
                       throws ContextException

Throws:
  `ContextException`